# Class CIM_OSPFProtocolEndpoint
extends CIM_OSPFProtocolEndpointBase

This class represents the OSPF configuration of an interface running OSPF. The instance of this class should be connected to an IPProtocolEndpoint instance via a BindsTo association. The IPProtocolEndpoint instance is the Antecedent and the OSPFProtocolEndpoint instance is the Dependent in the BindsTo association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ProtocolEndpoint
|
+--CIM_OSPFProtocolEndpointBase
|
+--CIM_OSPFProtocolEndpoint

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | This class represents the OSPF configuration of an interface running OSPF. The instance of this class should be connected to an IPProtocolEndpoint instance via a BindsTo association. The IPProtocolEndpoint instance is the Antecedent and the OSPFProtocolEndpoint instance is the Dependent in the BindsTo association.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Cost | uint16 |
Description | string | The cost of the routes through this OSPF endpoint, see C.3 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfMetricStatus
IfDemand | boolean |
Description | string | Indicates whether the interface connects to an on-demand circuit, see RFC 1793.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfDemand
PollInterval | uint16 |
Description | string | If a neighbouring router on an NBMA (NonBroadcast MultiAccess) link becomes inactive, it is still necessary to send Hello Packets to the dead neighbor. These packets will be sent at the reduced rate, which should be much larger than HelloInterval, see C.5 in RFC 2328.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfPollInterval
Units | string | Seconds
Priority | uint8 |
Description | string | When two routers attached to a network both attempt to become the Designated Router, the one with the highest (i.e. largest) Priority takes precedence, see C.3 in RFC 2328. Only routers with greater than zero priority are eligible to become Designated Router.
MappingStrings | string | MIB.IETF|OSPF-MIB.ospfIfRtrPriority

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AuthKey | string | CIM_OSPFProtocolEndpointBase
AuthType | uint16 | CIM_OSPFProtocolEndpointBase
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ProtocolEndpoint
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_OSPFProtocolEndpointBase
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_ProtocolEndpoint
NameFormat | string | CIM_ProtocolEndpoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherAuthType | string | CIM_OSPFProtocolEndpointBase
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherTypeDescription | string | CIM_ProtocolEndpoint
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolIFType | uint16 | CIM_OSPFProtocolEndpointBase
ProtocolType | uint16 | CIM_ProtocolEndpoint
RequestedState | uint16 | CIM_EnabledLogicalElement
RetransmitInterval | uint16 | CIM_OSPFProtocolEndpointBase
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_ProtocolEndpoint
TransitDelay | uint16 | CIM_OSPFProtocolEndpointBase
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ProtocolEndpoint
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement